
CoCoA-5 - Bug #1567

Radical in non-zero char

21 Jan 2021 15:15 - John Abbott

Status: Closed Start date: 21 Jan 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: bug Estimated time: 0.95 hour

Target version: CoCoA-5.4.0 Spent time: 0.95 hour

Description

use ZZ/(5)[x,y,z];

radical(ideal(x^2+y,y+z)); --> gives error in factorizer ?!?

Related issues:

Related to CoCoA-5 - Slug #1581: Slow sqfr:  rad(f) New 02 Mar 2021

Related to CoCoALib - Feature #1780: radical for ideals in SparsePolyRing:  c... Closed 06 Feb 2024

History

#1 - 21 Jan 2021 15:16 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 60

I have found the problem and fixed it.  Also done some cleaning inside radical.cpkg5

When are we moving this to C++?

#2 - 15 Feb 2021 22:20 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 60 to 90

I have check in the changes (some time ago).  So moving status to feedback.

#3 - 04 Mar 2021 17:14 - Anna Maria Bigatti

- Related to Slug #1581: Slow sqfr:  rad(f) added

#4 - 19 Mar 2021 12:52 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.95 h

Added simple test to exbugs.cocoa5.

Closing.

#5 - 06 Feb 2024 09:02 - Anna Maria Bigatti

- Related to Feature #1780: radical for ideals in SparsePolyRing:  code in C++  added
